curl --request POST \
--url https://api-sandbox.synctera.com/v0/monitoring/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"metadata": {},
"person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/monitoring/subscriptions"
payload = {
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"metadata": {},
"person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
metadata: {},
person_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7'
})
};
fetch('https://api-sandbox.synctera.com/v0/monitoring/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Subscribe a customer or business to monitoring
This endpoint is rarely needed. Since August 2022, watchlist monitoring is automatically enabled for all businesses and customers who are verified (KYC/KYB) through Synctera’s platform.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The monitoring subscription.
Unique ID for the business. Exactly one of business_id or person_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
Unique ID for the person. Exactly one of person_id or business_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
The new monitoring subscription.
Unique ID for the business. Exactly one of business_id or person_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The date and time the resource was created.
"2010-05-06T12:23:34.321Z"
Unique identifier for this subscription.
The date and time the resource was last update.
"2010-05-06T12:23:34.321Z"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
Unique ID for the person. Exactly one of person_id or business_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Was this page helpful?

